﻿using Syncfusion.UI.Xaml.Grid;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace SfDataGridDemo
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.datagrid.AutoGenerateColumns = true;
            this.datagrid.AutoGeneratingColumn+=datagrid_AutoGeneratingColumn;
        }

        void datagrid_AutoGeneratingColumn(object sender, AutoGeneratingColumnArgs e)
        {
            // Custom format for auto-generated columns
            if (e.Column.MappingName == "EmployeeSalary" )
            {
                var textblock = new FrameworkElementFactory(typeof(TextBlock));
                var binding = new Binding
                {
                    Path = new PropertyPath("EmployeeSalary"),
                    StringFormat = "{0:C}"
                };
                textblock.SetBinding(TextBlock.TextProperty, binding);
                DataTemplate datatemplate = new DataTemplate();
                datatemplate.VisualTree = textblock;
                e.Column.CellTemplate = datatemplate;
            }

            if (e.Column.MappingName == "EmployeeArea")
            {
                var textblock = new FrameworkElementFactory(typeof(TextBlock));
                var binding = new Binding
                {
                    Path = new PropertyPath("EmployeeArea"),
                };
                textblock.SetBinding(TextBlock.TextProperty, binding);
                DataTemplate datatemplate = new DataTemplate();
                datatemplate.DataType = typeof(Hyperlink);
                datatemplate.VisualTree = textblock;
                e.Column.CellTemplate = datatemplate;
            }

        }

        private void datagrid_CellTapped(object sender, GridCellTappedEventArgs e)
        {
            if (e.Column.MappingName == "EmployeeArea")
            {
                Model cellData = (Model)e.Record;
                string cellArea = cellData.EmployeeArea;
                MessageBox.Show(cellArea);
            }
        }
    }
}
